Enable Experiment Groups
curl --request POST \
--url https://statsigapi.net/console/v1/experiments/{id}/enable_groups \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"group_names": [
"<string>"
]
}
'import requests
url = "https://statsigapi.net/console/v1/experiments/{id}/enable_groups"
payload = { "group_names": ["<string>"] }
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({group_names: ['<string>']})
};
fetch('https://statsigapi.net/console/v1/experiments/{id}/enable_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "<string>",
"idType": "<string>",
"description": "<string>",
"lastModifierID": "<string>",
"lastModifiedTime": 123,
"lastModifierEmail": "<string>",
"lastModifierName": "<string>",
"createdTime": 123,
"creatorName": "<string>",
"tags": [
"<string>"
],
"hypothesis": "<string>",
"groups": [
{
"name": "<string>",
"size": 50,
"parameterValues": {},
"id": "<string>",
"disabled": true,
"description": "<string>",
"foreignGroupID": "<string>"
}
],
"allocation": 50,
"primaryMetrics": [
{
"name": "<string>",
"type": "<string>",
"hypothesizedValue": 123
}
],
"secondaryMetrics": [
{
"name": "<string>",
"type": "<string>",
"hypothesizedValue": 123
}
],
"targetingGateID": "<string>",
"bonferroniCorrection": true,
"layerID": "<string>",
"startTime": 123,
"endTime": 123,
"decisionReason": "<string>",
"decisionTime": 123,
"reviewSettings": {
"requiredReview": true,
"allowedReviewers": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
]
},
"activeReview": {
"reviewID": "<string>",
"reviewStatus": "<string>",
"description": "<string>"
},
"name": "<string>",
"creatorID": "<string>",
"creatorEmail": "<string>",
"targetApps": "<string>",
"holdoutIDs": [
"<string>"
],
"team": "<string>",
"teamID": "<string>",
"version": 123,
"secondaryIDType": "<string>",
"links": [
{
"url": "<string>",
"title": "<string>"
}
],
"controlGroupID": "<string>",
"primaryMetricTags": [
"<string>"
],
"secondaryMetricTags": [
"<string>"
],
"duration": 2,
"targetExposures": 2,
"sequentialTesting": true,
"bonferroniCorrectionPerMetric": true,
"benjaminiHochbergPerVariant": true,
"benjaminiHochbergPerMetric": true,
"benjaminiPrimaryMetricsOnly": true,
"launchedGroupID": "<string>",
"assignmentSourceName": "<string>",
"assignmentSourceExperimentName": "<string>",
"isAnalysisOnly": true,
"allocationDuration": 2,
"cohortedAnalysisDuration": 2,
"cohortedMetricsMatureAfterEnd": true,
"cohortWaitUntilEndToInclude": true,
"fixedAnalysisDuration": 2,
"scheduledReloadHour": 11,
"analysisEndTime": "<string>",
"precommitWebhook": {
"url": "<string>",
"internalStatusUrl": "<string>"
},
"assignmentSourceFilters": [
{
"column": "<string>",
"values": [
"<string>"
]
}
],
"analyticsType": "<string>",
"externalExperimentName": "<string>",
"healthChecks": [
{
"name": "<string>",
"description": "<string>",
"metadata": {
"type": "<string>",
"primary_id_type": "<string>",
"lastPulseLoadTime": 123,
"crossoverPercent": 123,
"assignmentSourceID": "<string>",
"assignmentSourceName": "<string>",
"foreignExperimentID": "<string>",
"deduplication_rate": 123,
"deduplication_rates": [
{
"group_id": "<string>",
"rate": 123,
"group_name": "<string>"
}
],
"secondary_id_type": "<string>",
"missingMetrics": [
"<string>"
],
"metrics": [
{
"metric_name": "<string>",
"earliest_date": "2023-11-07T05:31:56Z",
"latest_date": "2023-11-07T05:31:56Z"
}
],
"lastUpdatedDs": "<string>"
}
}
],
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"inlineTargetingRulesJSON": "<string>"
}
}{
"status": 400,
"message": "Invalid request. Please check the request input and try again."
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}{
"status": 404,
"message": "Not Found. The requested resource could not be found."
}Experiments
Enable Experiment Groups
POST
/
console
/
v1
/
experiments
/
{id}
/
enable_groups
Enable Experiment Groups
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
Body
application/json
⌘I

